Skip to main content
POST
/
2026-01
/
marketing-solutions
/
ads
/
{ad-id}
/
product-filter
/2026-01/marketing-solutions/ads/{ad-id}/product-filter
curl --request POST \
  --url https://api.criteo.com/2026-01/marketing-solutions/ads/{ad-id}/product-filter \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "productSetId": "<string>"
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "adId": "<string>",
      "productSetId": "<string>"
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ad-id
string
required

ID of the ad

Body

application/json

A top-level object that encapsulates a Criteo API request for a single value.

data
object

A top-level object that encapsulates a Criteo API response for a single value.

Response

200 - application/json

successful operation

A top-level object that encapsulates a Criteo API response for a single value.

data
object

A top-level object that encapsulates a Criteo API response for a single value.

errors
object[] | null
read-only
warnings
object[] | null
read-only